#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "ui_mainwindow.h"
#include <QGraphicsView>
#include <QGraphicsTextItem>
#include <QGraphicsLineItem>
#include <QGraphicsItemGroup>




class MainWindow : public QMainWindow, public Ui::MainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:

    void effacer_trace();
    void tracer_cadre();
    void tracer1(int x_aff, int y_aff);
    void tracer2(int x_aff, int y_aff);
    void tracer3(int x_aff, int y_aff);
    void boucle_de_calcul();
    void on_pushButton_2_clicked();


private:

    QGraphicsScene *scene;
    QGraphicsItemGroup *groupe_reticule;
    QGraphicsItemGroup *groupe_trace;

    QGraphicsLineItem *ligne1;
    QGraphicsLineItem *segment_trace;
    QGraphicsRectItem *rectangle;

    QGraphicsTextItem *texte_frq;


};

#endif // MAINWINDOW_H
